Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names

From: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <[email-masked]>
Date: Thu, 20 Aug 2020 18:13:19 -0000

I am not sure what is going on here, but I just loaded up this file and it parsed just fine.

Now, I KNOW that this didn't work when I reported it. And Stefan was able to reproduce it.

I wonder if Stefan can still reproduce?

Since I can't reproduce, I have no issue with closing. If it regresses, I'll open a new issue, making a note of the versions of various packages, which would certainly help diagnosis.

Stefan, it's been a while - can you send me a link to my original bug report?

From: [email-masked] At: 08/12/20 12:00:09To:  Matthew Persico (BLOOMBERG/ 919 3RD A ) ,  [email-masked]
Cc:  [email-masked]
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names

Andreas Schwab <[email-masked]> writes:

> It's a POSIX extension, enforced in POSIX mode:
>
>   13. Function names must be valid shell 'name's.  That is, they may not
>      contain characters other than letters, digits, and underscores, and
>      may not start with a digit.  Declaring a function with an invalid
>      name causes a fatal syntax error in non-interactive shells.

Right.  Well, then adding syntax highlighting here would in a way
encourage people to write non-POSIX conformant shell code, which even if
it happens to work in Bash sounds like a bad idea.

So I'm leaning towards closing this bug report as wontfix.

Any other opinions?

Best regards,
Stefan Kangas